package no.rwr.data;

public class ByteConverter extends TypeConverter {

    public static ByteConverter INSTANCE = new ByteConverter();
    
    public byte[] toByteArray(Object inData) {
	return (byte []) inData;
    }

    public short[] toUShortArray(Object inData) {
	byte[] in = (byte[]) inData;
	int length = in.length;
	short[] out = new short[length];
	for (int i = 0; i<length; i++) out[i] = (short) (in[i] & 0xff);
	return out;
    }

    public int[] toIntArray(Object inData) {
	byte[] in = (byte[]) inData;
	int length = in.length;
	int[] out = new int[length];
	for (int i = 0; i<length; i++) out[i] = in[i];
	return out;
    }

    public float[] toFloatArray(Object inData) {
	byte[] in = (byte[]) inData;
	int length = in.length;
	float[] out = new float[length];
	for (int i = 0; i<length; i++) out[i] = in[i];
	return out;
    }

    public int getInt(Object inData, int index) {
	return (int) ((byte[]) inData)[index];
    }
}
